Here, on my box are the files that can be used to rpm install ssmtp on rhel7 or centos7. Based on el6 rpm from epel and fixes this linking problem: /bin/ld: note: ‘X509_free@@libcrypto.so.10’ is defined in DSO /lib64/libcrypto.so.10 so try adding it to the linker command line hope it helps.

mono-logo

When life gives you lemons that you need to run in .net on linux and that linux is a centos6 you can use these centos 6.4 rpms to sweeten the experience a little. libgdiplus-devel-2.10-6.el6.x86_64.rpm libgdiplus-2.10-6.el6.x86_64.rpm mono-winfx-2.10.8-3.el6.x86_64.rpm mono-mvc-devel-2.10.8-3.el6.x86_64.rpm mono-mvc-2.10.8-3.el6.x86_64.rpm mono-core-2.10.8-3.el6.x86_64.rpm mono-nunit-devel-2.10.8-3.el6.x86_64.rpm mono-nunit-2.10.8-3.el6.x86_64.rpm mono-devel-2.10.8-3.el6.x86_64.rpm mono-locale-extras-2.10.8-3.el6.x86_64.rpm mono-extras-2.10.8-3.el6.x86_64.rpm mono-winforms-2.10.8-3.el6.x86_64.rpm mono-wcf-2.10.8-3.el6.x86_64.rpm mono-web-devel-2.10.8-3.el6.x86_64.rpm mono-web-2.10.8-3.el6.x86_64.rpm mono-data-sqlite-2.10.8-3.el6.x86_64.rpm mono-data-postgresql-2.10.8-3.el6.x86_64.rpm mono-data-oracle-2.10.8-3.el6.x86_64.rpm mono-data-2.10.8-3.el6.x86_64.rpm ibm-data-db2-2.10.8-3.el6.x86_64.rpm monodoc-devel-2.10.8-3.el6.x86_64.rpm monodoc-2.10.8-3.el6.x86_64.rpm Read More →